/*
    vbs - make mail attachments unexecutable

    Copyright 2000 Theo Nolte <nolte@post.rwth-aachen.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
*/

static char*mandata[]={
"",
"NAME",
"       vbs - rename or block mail attachments",
"",
"SYNOPSIS",
"       vbs [vbs-options] delivery-agent [agent-options]",
"",
"DESCRIPTION",
"       vbs  is	a  mail-filter that can block attachments or make",
"       them unexecutable by renaming the filename associated with",
"       the  attachment.	  It  is implemented as a wrapper for the",
"       delivery agent.	After processing its standard  input,  it",
"       will  call  the	delivery-agent with the agent-options and",
"       pipe the mail into it.",
"",
"OPTIONS",
"       -b blist	 Block any attachment that has a substring in its",
"		 associated  filename  that  equals  one  of  the",
"		 strings in  blist.   The  string  comparison  is",
"		 case-insensitive.  The strings in blist are sep-",
"		 arated by colons.  By default,	 blist	is  empty",
"		 and no attachments are blocked.",
"",
"       -d dbglvl Specify a debug level.",
"",
"       -e elist	 Rename the filenames of attachments specified in",
"		 elist.	 In the simplest case, elist is a  colon-",
"		 separated  list  of  case-insensitive extensions",
"		 with or without leading  dot,	that  are  to  be",
"		 renamed.   Renaming  is done by substituting the",
"		 dot ('.')  of the extension by a tilde ('~'), so",
"		 that  MUAs  won't  recognize  the  file type any",
"		 more.	An entry in elist can also consist of two",
"		 slash separated strings as in pat/sub, where the",
"		 string pat is substituted by sub if  it  appears",
"		 in  an	 attachment  filename.	 By  default, the",
"		 extensions .bat, .com, .exe, .reg,  .scr,  .shs,",
"		 .shs,	.vbe  and .vbs are renamed to ~bat, ~com,",
"		 ~exe, ~reg, ~scr, ~shs, ~vbe and ~vbs.",
"",
"       -f arg	 Propagate arg to the delivery	agent.	 This  is",
"		 used internally by sendmail to pass arguments to",
"		 the delivery agent.",
"",
"       -h	 Print usage info.",
"",
"       -M	 Print the manual.",
"",
"       -r arg	 Propagate arg to the delivery	agent.	 This  is",
"		 used internally by sendmail to pass arguments to",
"		 the delivery agent.",
"",
"       -V	 Print the version number.",
"",
"EXAMPLE",
"       The following is an example how to use vbs  with	 sendmail",
"       for  all	 mail  sent to the local delivery agent.  If your",
"       sendmail.cf looks like:",
"",
"	  Mlocal, P=/path/to/deliveryagent, ...",
"	  ...",
"	  A=deliveryagent arg1 arg2 ... argn",
"",
"       change it to",
"",
"	  Mlocal, P=/path/to/vbs, ...",
"	  ...",
"	  A=vbs /path/to/deliveryagent arg1 arg2 ... argn",
"",
"       This way sendmail will pass the mail to	vbs,  which  will",
"       filter it and pass it on to the actual delivery agent.",
"",
"BUGS",
"       have  yet  to  be  discovered.  Please send bug reports to",
"       <nolte@post.rwth-aachen.de>.",
"",
"AUTHOR",
"       Theo Nolte <nolte@post.rwth-aachen.de>",
"",
"HOMEPAGE",
"       The vbs homepage is http://adsl-nolte1.rz.rwth-aachen.de/progs/vbs/.",
0
};
void manual(void) {
 char**p;
  for(p=mandata;*p;p++) printf("%s\n",*p);
  exit(0);
}
